from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFixedHyperlink(XInterface, Protocol):
    def setText(self, Text: str) -> None: ...
    def getText(self) -> str: ...
    def setURL(self, URL: str) -> None: ...
    def getURL(self) -> str: ...
    def setAlignment(self, nAlign: int) -> None: ...
    def getAlignment(self) -> int: ...
    def addActionListener(self, l: XActionListener) -> None: ...
    def removeActionListener(self, l: XActionListener) -> None: ...
